Package org.eclipse.birt.core.archive

# Class FileArchiveWriter

java.lang.Object
org.eclipse.birt.core.archive.compound.ArchiveWriter
org.eclipse.birt.core.archive.FileArchiveWriter

All Implemented Interfaces:
  `IDocArchiveWriter`

public class FileArchiveWriter extends ArchiveWriter

## Constructor Summary

Constructors
Constructor
Description
`FileArchiveWriter(String fileName)`

## Method Summary

### Methods inherited from class org.eclipse.birt.core.archive.compound.ArchiveWriter

`createOutputStream, createRandomAccessStream, dropStream, exists, finish, flush, getArchive, getArchiveFile, getInputStream, getName, getOutputStream, initialize, listAllStreams, listStreams, lock, openRandomAccessStream, setStreamSorter, unlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileArchiveWriter

public FileArchiveWriter(String fileName) throws IOException

Parameters:
  `absolute` - fileName the archive file name
Throws:
  `IOException`